> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List reputation phone numbers

> List all phone numbers associated with an enterprise for Number Reputation monitoring.

Returns phone numbers with their cached reputation data (if available). Supports pagination and filtering by phone number.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/number-reputation/phone-numbers.yml get /enterprises/{enterprise_id}/reputation/numbers
openapi: 3.1.0
info:
  title: Telnyx Phone Number Reputation API
  version: 2.0.0
  description: >-
    Associate phone numbers for reputation monitoring, query spam scores and
    risk levels, and manage ongoing monitoring. Includes simplified endpoints
    for single-enterprise accounts.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /enterprises/{enterprise_id}/reputation/numbers:
    get:
      tags:
        - Reputation Phone Numbers
      summary: List reputation phone numbers
      description: >-
        List all phone numbers associated with an enterprise for Number
        Reputation monitoring.


        Returns phone numbers with their cached reputation data (if available).
        Supports pagination and filtering by phone number.
      operationId: ListReputationNumbers
      parameters:
        - $ref: '#/components/parameters/EnterpriseId'
        - name: page[number]
          in: query
          description: Page number (1-indexed)
          schema:
            type: integer
            minimum: 1
            default: 1
        - name: page[size]
          in: query
          description: Number of items per page
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
        - name: phone_number
          in: query
          description: Filter by specific phone number (E.164 format)
          schema:
            type: string
            example: '+16035551234'
      responses:
        '200':
          description: List of phone numbers with reputation data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReputationPhoneNumberListWithReputation'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const reputationPhoneNumberWithReputationData of
            client.enterprises.reputation.numbers.list(
              '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
            )) {
              console.log(reputationPhoneNumberWithReputationData.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.enterprises.reputation.numbers.list(
                enterprise_id="6a09cdc3-8948-47f0-aa62-74ac943d6c58",
            )
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.Enterprises.Reputation.Numbers.List(\n\t\tcontext.TODO(),\n\t\t\"6a09cdc3-8948-47f0-aa62-74ac943d6c58\",\n\t\ttelnyx.EnterpriseReputationNumberListParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.enterprises.reputation.numbers.NumberListPage;

            import
            com.telnyx.sdk.models.enterprises.reputation.numbers.NumberListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    NumberListPage page = client.enterprises().reputation().numbers().list("6a09cdc3-8948-47f0-aa62-74ac943d6c58");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            page =
            telnyx.enterprises.reputation.numbers.list("6a09cdc3-8948-47f0-aa62-74ac943d6c58")


            puts(page)
        - lang: CLI
          source: |-
            telnyx enterprises:reputation:numbers list \
              --api-key 'My API Key' \
              --enterprise-id 6a09cdc3-8948-47f0-aa62-74ac943d6c58
components:
  parameters:
    EnterpriseId:
      name: enterprise_id
      in: path
      required: true
      description: Unique identifier of the enterprise (UUID)
      schema:
        type: string
        format: uuid
        example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
  schemas:
    ReputationPhoneNumberListWithReputation:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ReputationPhoneNumberWithReputationData'
        meta:
          $ref: '#/components/schemas/MetaInfo'
    ReputationPhoneNumberWithReputationData:
      allOf:
        - $ref: '#/components/schemas/ReputationPhoneNumberPublic'
        - type: object
          properties:
            reputation_data:
              oneOf:
                - $ref: '#/components/schemas/ReputationData'
                - type: object
                  nullable: true
              description: Reputation metrics (null if not yet fetched)
    MetaInfo:
      type: object
      properties:
        page_number:
          type: integer
          description: Current page number
        page_size:
          type: integer
          description: Items per page
        total_results:
          type: integer
          description: Total number of results
        total_pages:
          type: integer
          description: Total number of pages
    branded-calling_ErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/TelnyxError'
    ReputationPhoneNumberPublic:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier
        phone_number:
          type: string
          description: Phone number in E.164 format
          example: '+16035551234'
        enterprise_id:
          type: string
          format: uuid
          description: ID of the associated enterprise
        created_at:
          type: string
          format: date-time
          description: When the number was associated
        updated_at:
          type: string
          format: date-time
          description: When the record was last updated
    ReputationData:
      type: object
      description: Reputation metrics
      properties:
        spam_risk:
          type: string
          nullable: true
          enum:
            - low
            - medium
            - high
          description: Overall spam risk level
        spam_category:
          type: string
          nullable: true
          description: Spam category classification (e.g., Telemarketing, Debt Collector)
        maturity_score:
          type: integer
          nullable: true
          minimum: 0
          maximum: 100
          description: Maturity metric (0–100). Higher = more established number
        connection_score:
          type: integer
          nullable: true
          minimum: 0
          maximum: 100
          description: Connection quality metric (0–100)
        engagement_score:
          type: integer
          nullable: true
          minimum: 0
          maximum: 100
          description: Engagement metric (0–100). Higher = more positive engagement
        sentiment_score:
          type: integer
          nullable: true
          minimum: 0
          maximum: 100
          description: Sentiment metric (0–100). Higher = more positive sentiment
        last_refreshed_at:
          type: string
          format: date-time
          nullable: true
          description: Timestamp of the last reputation data refresh
    TelnyxError:
      type: object
      properties:
        code:
          type: string
          description: Telnyx error code
          example: '10015'
        title:
          type: string
          description: Short error title
          example: Bad Request
        detail:
          type: string
          description: Human-readable error detail
          example: User has already agreed to Terms of Service version v1.0.0
        meta:
          type: object
          properties:
            url:
              type: string
              format: uri
              description: Link to error documentation
        source:
          type: object
          description: Reference to the field that caused the error
          properties:
            pointer:
              type: string
              description: JSON pointer (RFC6901) to the field that caused the error
              example: /body/organization_type
      required:
        - code
        - title
  responses:
    Unauthorized:
      description: Unauthorized — missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/branded-calling_ErrorResponse'
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/branded-calling_ErrorResponse'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````